Create a new configuration, or a new version of a configuration.

put https://app.mk.io/api/v1/projects/:project_name/templating/configs/:config_type/:name

This will create a new Configuration object, or a new version of a Configuration if one with this name exists. Any tags set in this request will be removed from any other version of this Configuration.

RBAC Capability Required: templating.configs.create

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required
config_type string Required
name string Required

Request

This endpoint expects an object.

metadataobjectConfigPutMetadataOptional
Metadata.
Show 3 propertiesHide 3 properties
descriptionstringOptional0-200 charactersDefaults to
Optional description of revision of the configuration.
labelsmap from strings to stringOptional
Labels for this revision of the config.
Show value schemaHide value schema
[any key]string
tagslist of stringsOptional
Tags for this revision of the config.
specobjectRequired
Specification for the template
Show 2 variantsHide 2 variants
ConfigPutSpecobject
configmap from strings to anyRequired
The contents of the config.
Show value schemaHide value schema
[any key]any
parameterslist of objectsConfigParameterSchemaOptional
Parameters exposed by this configuration.
Show 3 propertiesHide 3 properties
descriptionstring or nullOptional
Optional description of the parameter.
namestringRequired
The name of the parameter.
pathslist of stringsRequired1+ items
List of paths in the config where this parameter applies. Each path must be unique.
PresetConfigPutSpecobject
presetNamestringRequired
Use the config contents from this Preset name.

Response

200 Updated configuration
kindstringOptional
The kind of record.
metadataobjectConfigGetMetadataRequired
Metadata.
Show 13 propertiesHide 13 properties
createdstringOptionalformat: date-time
The time when the resource was created
createdBystringOptionalformat: uuid
ID of the user who created the resource
createdByEmailstringOptional
Email of the user who created the resource
descriptionstringOptional0-200 charactersDefaults to
Optional description of revision of the configuration.
hashstringOptional
Hash of this configuration.
idstringRequiredformat: uuid
The ID of the resource
labelsmap from strings to stringOptional
A dictionary of labels associated with the resource
Show value schemaHide value schema
[any key]string
namestringOptional
The name of the resource
tagslist of stringsOptional
Tags for this revision of the config.
typestringRequired
Type of configuration.
updatedstringOptionalformat: date-time
The time when the resource was last updated
updatedBystringOptionalformat: uuid
ID of the user who last updated the resource
updatedByEmailstringOptional
Email of the user who last updated the resource
specobjectConfigGetSpecOptional
Specification.
Show 2 propertiesHide 2 properties
configmap from strings to anyOptional
The contents of the config.
Show value schemaHide value schema
[any key]any
parameterslist of objectsConfigParameterSchemaOptional
Parameters exposed by this configuration.
Show 3 propertiesHide 3 properties
descriptionstring or nullOptional
Optional description of the parameter.
namestringRequired
The name of the parameter.
pathslist of stringsRequired1+ items
List of paths in the config where this parameter applies. Each path must be unique.
statusobjectConfigGetStatusOptional
Computed status including available input/output pin names.
Show 2 propertiesHide 2 properties
inputPinslist of objectsConfigPinSchemaOptional
Available input pin names for this template.
Show 2 propertiesHide 2 properties
allowMultipleBindingsbooleanOptional
Whether multiple flow inputs/outputs can reference this pin.
namestringRequired
The pin name to use for transformInput or transformOutput.
outputPinslist of objectsConfigPinSchemaOptional
Available output pin names for this template.
Show 2 propertiesHide 2 properties
allowMultipleBindingsbooleanOptional
Whether multiple flow inputs/outputs can reference this pin.
namestringRequired
The pin name to use for transformInput or transformOutput.
201 Created configuration
kindstringOptional
The kind of record.
metadataobjectConfigGetMetadataRequired
Metadata.
Show 13 propertiesHide 13 properties
createdstringOptionalformat: date-time
The time when the resource was created
createdBystringOptionalformat: uuid
ID of the user who created the resource
createdByEmailstringOptional
Email of the user who created the resource
descriptionstringOptional0-200 charactersDefaults to
Optional description of revision of the configuration.
hashstringOptional
Hash of this configuration.
idstringRequiredformat: uuid
The ID of the resource
labelsmap from strings to stringOptional
A dictionary of labels associated with the resource
Show value schemaHide value schema
[any key]string
namestringOptional
The name of the resource
tagslist of stringsOptional
Tags for this revision of the config.
typestringRequired
Type of configuration.
updatedstringOptionalformat: date-time
The time when the resource was last updated
updatedBystringOptionalformat: uuid
ID of the user who last updated the resource
updatedByEmailstringOptional
Email of the user who last updated the resource
specobjectConfigGetSpecOptional
Specification.
Show 2 propertiesHide 2 properties
configmap from strings to anyOptional
The contents of the config.
Show value schemaHide value schema
[any key]any
parameterslist of objectsConfigParameterSchemaOptional
Parameters exposed by this configuration.
Show 3 propertiesHide 3 properties
descriptionstring or nullOptional
Optional description of the parameter.
namestringRequired
The name of the parameter.
pathslist of stringsRequired1+ items
List of paths in the config where this parameter applies. Each path must be unique.
statusobjectConfigGetStatusOptional
Computed status including available input/output pin names.
Show 2 propertiesHide 2 properties
inputPinslist of objectsConfigPinSchemaOptional
Available input pin names for this template.
Show 2 propertiesHide 2 properties
allowMultipleBindingsbooleanOptional
Whether multiple flow inputs/outputs can reference this pin.
namestringRequired
The pin name to use for transformInput or transformOutput.
outputPinslist of objectsConfigPinSchemaOptional
Available output pin names for this template.
Show 2 propertiesHide 2 properties
allowMultipleBindingsbooleanOptional
Whether multiple flow inputs/outputs can reference this pin.
namestringRequired
The pin name to use for transformInput or transformOutput.

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code